import request from '@/utils/request'

// 初始化项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 主表查询
export function searchTable(check1, machineNumberValue, check2, time, time1, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_计划信息_查询数据',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machineNumberValue + '&计划完成日期_check=' + check2 + '=int&开始时间=' + time + '&结束时间=' + time1,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 计划下发
export function goDown(ProjectSerialNumber, MachineSerialNumber, ProcessStartTime, ProcessEndTime, TimeToGo) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间装配管理_装配计划_下发',
      param: '项目流水号=' + ProjectSerialNumber + '&机床流水号=' + MachineSerialNumber + '&工艺开始时间=' + ProcessStartTime + '&工艺结束时间=' + ProcessEndTime + '&下发时间=' + TimeToGo
    }
  })
}
